;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Jack Dunning, ceeditor@computoredge.com
;
; Script Function: Play audio and video files
;	
;

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.


HotKey, !#W, NotRunning
Menu, Tray, Add,Pick What to Play, `!`#P
Menu, Tray, Add,What's Playing?, NotRunning
Menu, Tray, Add,Next,`!`#N
Menu, Tray, Add,Stop Play, `!`#S

!#P::

FileSelectFile, OutputVar, M

if OutPutVar =
{
    MsgBox, No selections to play.
    Return
}

Loop, Parse, OutPutVar, `n
{
    if A_Index = 1
    {
        MsgBox, The selected files to play are all contained in`n %OutPutVar%
        MainPath := A_LoopField
    }
    else
    {
	Playing := A_LoopField
        HotKey, !#W, WhatsPlaying   
	Menu, Tray, Add, What's Playing?, WhatsPlaying
        SoundPlay, %MainPath%\%A_LoopField%, Wait
    }
}
HotKey, !#W, NotRunning
Menu, Tray, Add, What's Playing?, NotRunning

Return

!#N::
 SoundPlay, next.mp3
Return

!#S::
 Reload
Return

WhatsPlaying:
   MsgBox %Playing%
Return

NotRunning:
   MsgBox No files Selected!`nUse WIN+ALT+P
Return
